.customGridempty {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35vw !important;
}

.customGridempty div:first-of-type {
    display: flex;
    align-items: center;
    column-gap: 8px;
    padding-bottom: 3rem;
}

.p-products-empty {
    text-align: center;
    color: #0d1413;
    font-size: 1.5rem;
    font-family: 'Montserrat', sans-serif;
}

.cardProduct {
    background: #ffffff;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.295);
    border-radius: 8px;
    overflow: hidden;
    transition: all 0.25s ease;
}

.cardProduct:hover {
    transform: translateY(-6px);
    box-shadow: 0 18px 40px rgba(0,0,0,0.1);
}

/* ========================= */
/* TITULO TIENDA */
/* ========================= */

.shopTitleMain {
    margin: 35px 15px;
    font-weight: 700;
    letter-spacing: 1px;
    color: #324b48;
    padding-top: 6rem;
    font-size: 3rem;
    text-transform: capitalize;
}

/* ========================= */
/* GRID PRODUCTOS */
/* ========================= */

.customGrid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    margin-bottom: 2rem !important;
}

.customCard {
    display: flex;
    flex-direction: column;
}

/* ========================= */
/* IMAGEN */
/* ========================= */

.customImgWrapper {
    width: 100%;
    height: 500px;
    overflow: hidden;
}

.customImg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.45s ease;
}

.customCard:hover .customImg {
    transform: scale(1.07);
}

/* ========================= */
/* BODY CARD */
/* ========================= */

.customCardBody {
    padding: 22px;
    flex-grow: 1;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* ========================= */
/* NOMBRE PRODUCTO */
/* ========================= */

.customProductName {
    font-size: 1.2rem;
    font-weight: 600;

    margin-bottom: 10px;
    letter-spacing: 1px;
    text-transform: capitalize;

    background-color: transparent;
    color: #0d1413;
}

/* ========================= */
/* PRECIO */
/* ========================= */

.customPrice {
    font-size: 1.25rem;
    font-weight: 700;

    color: #324b48;

    margin-bottom: 18px;
}

/* ========================= */
/* BOTON AGREGAR CARRITO */
/* ========================= */

.formAddCart {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
}

.customBtnCart {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 10px;

    padding: 12px;

    border-radius: 8px;

    border: none;

    background: #f54e00;
    color: #ffffff;

    font-weight: 600;

    cursor: pointer;

    transition: all 0.25s ease;

    width: 95%;
}

.customBtnCart:hover {

    background: #ff6a2e;

    transform: translateY(-2px);

    box-shadow: 0 6px 20px rgba(245,78,0,0.35);
}

/* ========================= */
/* PRODUCTO YA EN CARRITO */
/* ========================= */

.productInCart {

    padding: 10px 14px;

    border-radius: 10px;

    background-color: #f1f4f4;

    border: 1px solid #324b48;

    display: flex;

    align-items: center;
    justify-content: center;

    transition: all 0.2s ease;

    width: 95%;

    margin: 0 auto;

    margin-bottom: 12px !important;
}

.productInCart p {

    margin: 0;

    font-size: 0.9rem;

    font-weight: 500;

    color: #324b48;

    letter-spacing: 0.3px;
}

.filter-container {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    margin-bottom: 2rem;
}

/* SELECT PRO */
.filter-select {
    background: #f1f4f4;
    color: #324b48;

    border: 1px solid #324b48;
    border-radius: 8px;

    padding: 10px 14px;

    font-size: 14px;
    font-weight: 500;

    cursor: pointer;

    transition: all 0.2s ease;
}

/* Hover */
.filter-select:hover {
    background: #324b48;
    color: #f1f4f4;

    border: 1px solid #f1f4f4;
}

/* Focus */
.filter-select:focus {
    outline: none;
    border-color: #f1f4f4;
}

/* ========================= */
/* MOBILE */
/* ========================= */

@media (max-width: 768px) {

    .customGrid {
        grid-template-columns: 1fr !important;
        width: 95%;
        margin: 0 auto;
    }

    .customGridempty div:first-of-type {
        flex-direction: column;
    }

    .filter-select {
        margin-right: 1rem;
    }

    .customImgWrapper {
        height: 400px;
    }

}